/*
* PROJECT: Happy New Year
* VERSION: 1.0
* AUTHOR: Mattias Thell
* URL: http://www.mattiasthell.com
*
* */

#include "Random.hpp"
namespace hny {

	Random* Random::mInstance = 0;

	Random::Random() {}

	Random::~Random() {}

	Random* Random::GetInstance() {
		
		if(mInstance == 0)
			mInstance = new Random();

		return mInstance;
	}

	void Random::Destroy() {
		if(mInstance != 0) {
			delete mInstance;
			mInstance = 0;
		}
	}
}